List Speech to Text sessions
Lists the transcripts sesssions belonging to a certain session registered in the system
URL: GET https://api.scriptix.io/api/v3/reseller/customer/{customerId}/transcript
Path parameters
The following path parameters need to be present
| Parameter | Description |
|---|---|
| customerId | Customer ID |
Request headers
The following headers need to be present
| Parameter | Value | Description |
|---|---|---|
| x-zoom-s2t-key | Scriptix Reseller API Token | API key of type Reseller needed for authorization |
Request query parameters
| Argument | Type | Description |
|---|---|---|
| direction | Enum[string]: "asc","desc" |
Default: "(Optional) Sorting direction |
| filter | string |
(Optional) Filters requested data. Default format key=value, can be provided multiple times. In that case the filters work combined as an AND. Example: field=value |
| limit | integer >= 1 <= 1000 |
Default: 10(Optional) Limit the number of objects to return |
| offset | integer >= 0 |
Default: 0Sets the offset of all items to return. Mostly combined with limit |
| sort | string |
(Optional) Sorting field, must be a key provided in the output objects |
Responses
| Status code | Description |
|---|---|
| 200 | List of documents |
| 400 | Bad Request |
| 401 | Unauthorized |
| 403 | Forbidden |
| 404 | Not Found |
| 500 | Server Error |
HTTP 200 OK
Content-type: application/json
Response: APIResultResponse<DocumentObject[]>
JSON Response
{
"result": [
{
"session_id": "string",
"filename": "string",
"date_session_start": "2019-08-24T14:15:22Z",
"status": 0,
"language": "string",
"duration": 0,
"last_update": "2019-08-24T14:15:22Z",
"is_deleted": true
}
],
"count": 1,
"total_results": 5
}